# Interface IThumbnailDisplayComponent

interface IThumbnailDisplayComponent {
addChild(component): void;
addClass(...classesToAdd): void;
blur(): void;
dispose(): void;
focus(): void;
getAllChildren(): UiComponent[];
getAttribute(attribute): null | string;
getChild(child): null | UiComponent;
getComponentName(): string;
getComputedHeight(): number;
getComputedWidth(): number;
getDOMElement(): null | Element;
getHeight(): number;
getWidth(): number;
hasClass(value): boolean;
hide(): void;
removeAttribute(attribute): void;
removeChild(child): void;
removeClass(...classesToRemove): void;
setAttribute(attribute, value): void;
setHeight(value): void;
setThumbnailImage(src): void;
setWidth(value): void;
show(): void;
updatePosition(value): void;
}

#### Hierarchy (view full)

- UiComponent
  - IThumbnailDisplayComponent

#####
Index

### Methods

addChild
addClass
blur
dispose
focus
getAllChildren
getAttribute
getChild
getComponentName
getComputedHeight
getComputedWidth
getDOMElement
getHeight
getWidth
hasClass
hide
removeAttribute
removeChild
removeClass
setAttribute
setHeight
setThumbnailImage
setWidth
show
updatePosition

## Methods

### addChild

- addChild(component): void

- #### Parameters

  - component: UiComponent

  #### Returns void

  Inherited from UiComponent.addChild

### addClass

- addClass(...classesToAdd): void

- #### Parameters

  - `Rest` ...classesToAdd: string[]

  #### Returns void

  Inherited from UiComponent.addClass

### blur

- blur(): void

- #### Returns void

  Inherited from UiComponent.blur

### dispose

- dispose(): void

- #### Returns void

  Inherited from UiComponent.dispose

### focus

- focus(): void

- #### Returns void

  Inherited from UiComponent.focus

### getAllChildren

- getAllChildren(): UiComponent[]

- #### Returns UiComponent[]

  Inherited from UiComponent.getAllChildren

### getAttribute

- getAttribute(attribute): null | string

- #### Parameters

  - attribute: string

  #### Returns null | string

  Inherited from UiComponent.getAttribute

### getChild

- getChild(child): null | UiComponent

- #### Parameters

  - child: string

  #### Returns null | UiComponent

  Inherited from UiComponent.getChild

### getComponentName

- getComponentName(): string

- #### Returns string

  Inherited from UiComponent.getComponentName

### getComputedHeight

- getComputedHeight(): number

- #### Returns number

  Inherited from UiComponent.getComputedHeight

### getComputedWidth

- getComputedWidth(): number

- #### Returns number

  Inherited from UiComponent.getComputedWidth

### getDOMElement

- getDOMElement(): null | Element

- #### Returns null | Element

  Inherited from UiComponent.getDOMElement

### getHeight

- getHeight(): number

- #### Returns number

  Inherited from UiComponent.getHeight

### getWidth

- getWidth(): number

- #### Returns number

  Inherited from UiComponent.getWidth

### hasClass

- hasClass(value): boolean

- #### Parameters

  - value: string

  #### Returns boolean

  Inherited from UiComponent.hasClass

### hide

- hide(): void

- #### Returns void

  Inherited from UiComponent.hide

### removeAttribute

- removeAttribute(attribute): void

- #### Parameters

  - attribute: string

  #### Returns void

  Inherited from UiComponent.removeAttribute

### removeChild

- removeChild(child): void

- #### Parameters

  - child: string

  #### Returns void

  Inherited from UiComponent.removeChild

### removeClass

- removeClass(...classesToRemove): void

- #### Parameters

  - `Rest` ...classesToRemove: string[]

  #### Returns void

  Inherited from UiComponent.removeClass

### setAttribute

- setAttribute(attribute, value): void

- #### Parameters

  - attribute: string
  - value: string

  #### Returns void

  Inherited from UiComponent.setAttribute

### setHeight

- setHeight(value): void

- #### Parameters

  - value: number

  #### Returns void

  Inherited from UiComponent.setHeight

### setThumbnailImage

- setThumbnailImage(src): void

- #### Parameters

  - src: string

  #### Returns void

### setWidth

- setWidth(value): void

- #### Parameters

  - value: number

  #### Returns void

  Inherited from UiComponent.setWidth

### show

- show(): void

- #### Returns void

  Inherited from UiComponent.show

### updatePosition

- updatePosition(value): void

- #### Parameters

  - value: number

  #### Returns void